## Class Swift_Plugins_BandwidthMonitorPlugin

(line 25)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Plugins/BandwidthMonitorPlugin.php

##### Reduces network flooding when sending large amounts of mail.

- author: - Chris Corbyn

Classes extended from Swift_Plugins_BandwidthMonitorPlugin:

Swift_Plugins_ThrottlerPlugin
  Throttles the rate at which emails are sent.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void beforeSendPerformed (Swift_Events_SendEvent $evt)
void bind (Swift_InputByteStream $is)
void commandSent (Swift_Events_CommandEvent $evt)
void commit ()
void flushBuffers ()
int getBytesIn ()
int getBytesOut ()
void reset ()
void responseReceived (Swift_Events_ResponseEvent $evt)
void sendPerformed (Swift_Events_SendEvent $evt)
void unbind (Swift_InputByteStream $is)
void write (string $bytes)

#### Method beforeSendPerformed (line 50)

#### void beforeSendPerformed( Swift_Events_SendEvent $evt)

Overridden in child classes as:

Swift_Plugins_ThrottlerPlugin::beforeSendPerformed()
  Invoked immediately before the Message is sent.

Implementation of:

Swift_Events_SendListener::beforeSendPerformed()
  Invoked immediately before the Message is sent.

##### Not used.

#### Parameters

- Swift_Events_SendEvent $evt:

#### Info

- access - public

#### Method bind (line 111)

#### void bind( Swift_InputByteStream $is)

Implementation of:

Swift_InputByteStream::bind()
  Attach $is to this stream.

##### Attach $is to this stream.

The stream acts as an observer, receiving all data that is written. All write() and flushBuffers() operations will be mirrored.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method commandSent (line 68)

#### void commandSent( Swift_Events_CommandEvent $evt)

Implementation of:

Swift_Events_CommandListener::commandSent()
  Invoked immediately following a command being sent.

##### Invoked immediately following a command being sent.

#### Parameters

- Swift_Events_ResponseEvent $evt:

#### Info

- access - public

#### Method commit (line 100)

#### void commit( )

Implementation of:

Swift_InputByteStream::commit()
  For any bytes that are currently buffered inside the stream, force them off the buffer.

##### Not used.

#### Info

- access - public

#### Method flushBuffers (line 138)

#### void flushBuffers( )

Implementation of:

Swift_InputByteStream::flushBuffers()
  Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

##### Not used.

#### Info

- access - public

#### Method getBytesIn (line 159)

#### int getBytesIn( )

##### Get the total number of bytes received from the server.

#### Info

- access - public

#### Method getBytesOut (line 150)

#### int getBytesOut( )

##### Get the total number of bytes sent to the server.

#### Info

- access - public

#### Method reset (line 167)

#### void reset( )

##### Reset the internal counters to zero.

#### Info

- access - public

#### Method responseReceived (line 78)

#### void responseReceived( Swift_Events_ResponseEvent $evt)

Implementation of:

Swift_Events_ResponseListener::responseReceived()
  Invoked immediately following a response coming back.

##### Invoked immediately following a response coming back.

#### Parameters

- Swift_Events_ResponseEvent $evt:

#### Info

- access - public

#### Method sendPerformed (line 58)

#### void sendPerformed( Swift_Events_SendEvent $evt)

Overridden in child classes as:

Swift_Plugins_ThrottlerPlugin::sendPerformed()
  Invoked when a Message is sent.

Implementation of:

Swift_Events_SendListener::sendPerformed()
  Invoked immediately after the Message is sent.

##### Invoked immediately after the Message is sent.

#### Parameters

- Swift_Events_SendEvent $evt:

#### Info

- access - public

#### Method unbind (line 124)

#### void unbind( Swift_InputByteStream $is)

Implementation of:

Swift_InputByteStream::unbind()
  Remove an already bound stream.

##### Remove an already bound stream.

If $is is not bound, no errors will be raised. If the stream currently has any buffered data it will be written to $is before unbinding occurs.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method write (line 88)

#### void write( string $bytes)

Implementation of:

Swift_InputByteStream::write()
  Writes $bytes to the end of the stream.

##### Called when a message is sent so that the outgoing counter can be increased.

#### Parameters

- string $bytes:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:15 +0000 by phpDocumentor 1.4.3